body {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

@keyframes logo-animation {
    from {
        top: -60px;
        opacity: 0;
    }

    to {
        top: 0;
        opacity: 1;
    }
}

#logo {
    position: relative;
    animation-name: logo-animation;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: cubic-bezier(0, 0, 0, 1);
}

#create-room-btn-wrapper {
    position: relative;
    width: 50%;
    text-align: center;
}

#create-room-btn-wrapper > button {
    transition: scale 400ms, opacity 400ms;
    transition-timing-function: cubic-bezier(0, 0, 0, 1);
    scale: 1;
}

#create-room-btn-wrapper > label {
    position: absolute;
    top: 7px;
    left: 0;
    width: 100%;
    text-align: center;
    z-index: 99;
    color: white;
    font-size: 1.5em;
    opacity: 0;
    scale: 1.5;
    pointer-events: none;
    transition: scale 400ms, opacity 400ms;
    transition-timing-function: cubic-bezier(0, 0, 0, 1);
}

#create-room-btn-wrapper[data-clicked="1"] > button {
    opacity: 0;
    scale: 0.7;
    pointer-events: none;
}

#create-room-btn-wrapper[data-clicked="1"] > label {
    scale: 1;
    opacity: 1;
}

@keyframes account-info-fade-in {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

#account-info {
    opacity: 0;
    color: white;
    font-size: 1.5rem;
    animation-name: account-info-fade-in;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-delay: 250ms;
}

#username-display {
    display: inline;
}

@keyframes permissions-tip-banner-animation {
    from {
        left: 710px;
        opacity: 0;
    }

    to {
        left: 610px;
        opacity: 1;
    }
}

#permissions-tip-banner {
    background: #F5F5F5;
    color: #424242;
    padding: 4px 8px;
    border-radius: 10px;
    width: 400px;
    position: absolute;
    opacity: 0;
    top: 20px;
    box-shadow: 0 10px 40px -15px gray;
}

#permissions-tip-banner.active {
    animation-name: permissions-tip-banner-animation;
    animation-duration: 500ms;
    animation-fill-mode: forwards;
    animation-delay: 500ms;
}

#permissions-tip-banner > p {
    margin: 0;
}
